DigestInputStream (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.crypto.io

## Class DigestInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - org.bouncycastle.crypto.io.DigestInputStream

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable

      public class DigestInputStream
      extends java.io.FilterInputStream

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Digest` | `digest`

    - ### Fields inherited from class java.io.FilterInputStream

      `in`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DigestInputStream(java.io.InputStream stream, Digest digest)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Digest` | `getDigest()`
    `int` | `read()`
    `int` | `read(byte[] b, int off, int len)`

    - ### Methods inherited from class java.io.FilterInputStream

      `available, close, mark, markSupported, read, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### digest

          protected Digest digest

  - ### Constructor Detail

    - #### DigestInputStream

          public DigestInputStream(java.io.InputStream stream,
                           Digest digest)

  - ### Method Detail

    - #### read

          public int read()
                   throws java.io.IOException

      Overrides:
        `read` in class `java.io.FilterInputStream`
      Throws:
        `java.io.IOException`

    - #### read

          public int read(byte[] b,
                 int off,
                 int len)
                   throws java.io.IOException

      Overrides:
        `read` in class `java.io.FilterInputStream`
      Throws:
        `java.io.IOException`

    - #### getDigest

          public Digest getDigest()